/* Includes *****************************************************************/

#include "dialog.h"

/* Functions ****************************************************************/

BOOL process_messages(HWND window)
{
	MSG message;

	while (PeekMessage(&message, NULL, 0, 0, PM_REMOVE))
	{
		if (!IsDialogMessage(window, &message))
		{
			TranslateMessage(&message);
			DispatchMessage(&message);
		}
	}

	return TRUE;
}

/****************************************************************************/

BOOL dialog_printf(HWND window, int item, LPCTSTR format, ...)
{
	va_list list;
	TCHAR text[1024];

	va_start(list, format);
	_vsntprintf(text, 1024, format, list);
	text[1023] = 0;
	va_end(list);
	SetDlgItemText(window, item, text);
	process_messages(window);
	return TRUE;
}

/****************************************************************************/
