#ifndef API_AMD_H
#define API_AMD_H

/* Includes *****************************************************************/

#include "stdafx.h"

/* Constants ****************************************************************/

extern const char *ADAPTER_AMD;

/* Functions ****************************************************************/

typedef int ADL_MAIN_CONTROL_CREATE(ADL_MAIN_MALLOC_CALLBACK, int);
typedef int ADL_MAIN_CONTROL_REFRESH();
typedef int ADL_ADAPTER_NUMBEROFADAPTERS_GET(int *);
typedef int ADL_ADAPTER_ADAPTERINFO_GET(LPAdapterInfo, int);
typedef int ADL_DISPLAY_DISPLAYINFO_GET(int, int *, ADLDisplayInfo **, int);
typedef int ADL_DISPLAY_DDCBLOCKACCESS_GET(int, int, int, int, int, unsigned char *, int *, unsigned char *);

ADL_MAIN_CONTROL_CREATE				*ADL_Main_Control_Create;
ADL_MAIN_CONTROL_REFRESH			*ADL_Main_Control_Refresh;
ADL_ADAPTER_NUMBEROFADAPTERS_GET	*ADL_Adapter_NumberOfAdapters_Get;
ADL_ADAPTER_ADAPTERINFO_GET			*ADL_Adapter_AdapterInfo_Get;
ADL_DISPLAY_DISPLAYINFO_GET			*ADL_Display_DisplayInfo_Get;
ADL_DISPLAY_DDCBLOCKACCESS_GET		*ADL_Display_DDCBlockAccess_Get;

/****************************************************************************/

BOOL load_amd();
BOOL refresh_amd();

/****************************************************************************/

#endif
