/* Includes *****************************************************************/

#include "api_nvidia.h"
#include "debug.h"

/* Constants ****************************************************************/

const char *ADAPTER_NVIDIA = "NVIDIA";

/* Functions ****************************************************************/

BOOL load_nvidia()
{
	int status;

	status = NvAPI_Initialize();

	if (status != NVAPI_OK)
	{
		debug_printf("LOAD(%s): NvAPI_Initialize() = ERROR %i", ADAPTER_NVIDIA, status);
		return FALSE;
	}

	debug_printf("LOAD(%s): NvAPI_Initialize() = SUCCESS", ADAPTER_NVIDIA);
	return TRUE;
}

/****************************************************************************/
